[Unstable Update] 2017-09-02 - Perl rebuild

unstable
update

#1

Hi community,

this more in regard of a huge Perl rebuild. It uses now the new toolchain and binary modules got moved to versioned path plus a hook to warn about outdated modules on update got added.

Please report back and give us feedback for given changes made to our repositories.

kind regards

Philip Müller
Project Lead


Current supported Kernels

  • linux310 3.10.107
  • linux312 3.12.74 [EOL]
  • linux316 3.16.47
  • linux318 3.18.69 [EOL]
  • linux41 4.1.43
  • linux44 4.4.86
  • linux48 4.8.17 [EOL]
  • linux49 4.9.47
  • linux410 4.10.17 [EOL]
  • linux411 4.11.12 [EOL]
  • linux412 4.12.10
  • linux413 4.13-rc7
  • linux-RT-LTS 4.9.40_rt30 (x86_64)
  • linux-RT 4.11.12_rt11 (x86_64)

Package Updates (Sat Sep 2 21:48:33 CEST 2017)

  • unstable community i686: 324 new and 324 removed package(s)
  • unstable core x86_64: 3 new and 3 removed package(s)
  • unstable core i686: 3 new and 3 removed package(s)
  • unstable extra x86_64: 160 new and 160 removed package(s)
  • unstable extra i686: 160 new and 160 removed package(s)
  • unstable community x86_64: 324 new and 324 removed package(s)

A detailed package list can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

During the update i got the warning that 2

WARNING: ‘/usr/lib/perl5/vendor_perl’ contains data from at least 2 packages which will NOT be used by the installed perl interpreter.
-> Run the following command to get a list of affected packages: pacman -Qqo ‘/usr/lib/perl5/vendor_perl’

When I ran the command I got:

gtk-youtube-viewer
perl-linux-desktopfiles

The first is from AUR and I rebuilt it. The second is from the repository and is maintained by @oberon.


#3

Thanks. Will rebuild perl-linux-desktopfiles

edit: updated to perl-linux-desktopfiles-0.13


#4

Two AUR packages for me:

$ pacman -Qqo '/usr/lib/perl5/site_perl'
perl-json-webtoken
perl-ntlm

(both deps of imapsync, so pacaur -S --rebuild --foreign will fix - except perl-ntlm appears to have ‘issues’)

And an “extra” file:

$ LC_ALL=C find "/usr/lib/perl5/site_perl" -type f -exec pacman -Qqo {} + |& sed -n 's/^error: No package owns \(.*\)$/\1/p'
/usr/lib/perl5/site_perl/auto/Modern/Perl/.packlist

Not sure what that’s on about - must have been a sudo cpan install from a while back.


#5

Smooth update on my gnome desktop without issues!


#6

can we now get the latest nvidia LTS driver? It already received a bugfix patch not long ago.


#7